import { IgcHTMLElement } from "./igc-html-element";
export declare class IgcPortalItemComponent extends IgcHTMLElement {
    private static _nextPortalId;
    private _portalId;
    readonly portalId: number;
    constructor();
    connectedCallback(): void;
}
export declare class IgcPortalEntranceComponent extends IgcHTMLElement {
    private _detach;
    private _observer;
    portalId: string;
    useShadowMode: boolean;
    moveOnceMode: boolean;
    connectedCallback(): void;
    private _suspendChangeDetection;
    private _itemContent;
    private getPortalContent;
    ensurePortalUpdated(): void;
    disconnectedCallback(): void;
    private onPortalMessage;
}
export declare class IgcPortalExitComponent extends IgcHTMLElement {
    private _detach;
    portalId: string;
    useShadowMode: boolean;
    useParentAsTarget: boolean;
    moveOnceMode: boolean;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private onPortalMessage;
    private onSlotContentChanging;
}
export declare class IgcPortalModule {
    static register(): void;
}
